For the complete documentation index, see llms.txt. This page is also available as Markdown.

Code Reaction

Get all code reactions

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's code reactions

application/json
CodeReaction[]Optional
get/api/v2/strategy/reaction/code
GET /api/v2/strategy/reaction/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's code reactions

[]

Create a new code reaction

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the reaction

Example: 12
data_webhook_idnumberRequired

The id of the data hook witch will be used to get data

Example: 13
send_signalbooleanOptional

Set true to enable signal generation

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
symbolstringOptional

The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)

Example: BTCUSDT,ETHUSDT
delaynumberOptional

Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second

Example: 10
codestringRequired

The JavaScript code of the strategy

Example: (()=>{ $.Strategy.action($.Action.LONG); })();
use_pricebooleanOptional

Set true if you want to use price ($.Price) in code

Example: true
exchange_idnumberOptional

The id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)

Example: 12
price_symbolstringOptional

The symbol of the price (required if use_price is true)

Example: BTCUSDT
Responses
201

Code reaction created successfully

application/json
anyOptional
post/api/v2/strategy/reaction/code
POST /api/v2/strategy/reaction/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246

{
  "name": "My strategy",
  "folder_id": 12,
  "data_webhook_id": 13,
  "send_signal": true,
  "webhook_id": 12,
  "symbol": "BTCUSDT,ETHUSDT",
  "delay": 10,
  "code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
  "use_price": true,
  "exchange_id": 12,
  "price_symbol": "BTCUSDT"
}

No content

Get code reaction by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Code reaction details with storage

application/json
anyOptional
get/api/v2/strategy/reaction/code/{id}
GET /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update code reaction

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the reaction

Example: 12
data_webhook_idnumberRequired

The id of the data hook witch will be used to get data

Example: 13
send_signalbooleanOptional

Set true to enable signal generation

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
symbolstringOptional

The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)

Example: BTCUSDT,ETHUSDT
delaynumberOptional

Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second

Example: 10
codestringRequired

The JavaScript code of the strategy

Example: (()=>{ $.Strategy.action($.Action.LONG); })();
use_pricebooleanOptional

Set true if you want to use price ($.Price) in code

Example: true
exchange_idnumberOptional

The id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)

Example: 12
price_symbolstringOptional

The symbol of the price (required if use_price is true)

Example: BTCUSDT
Responses
200

Code reaction updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/code/{id}
PUT /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246

{
  "name": "My strategy",
  "folder_id": 12,
  "data_webhook_id": 13,
  "send_signal": true,
  "webhook_id": 12,
  "symbol": "BTCUSDT,ETHUSDT",
  "delay": 10,
  "code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
  "use_price": true,
  "exchange_id": 12,
  "price_symbol": "BTCUSDT"
}
{
  "message": "Success"
}

Delete code reaction

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Code reaction deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/reaction/code/{id}
DELETE /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Duplicate a code reaction

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Reaction ID to duplicate

Responses
201

Code reaction duplicated successfully

application/json
anyOptional
post/api/v2/strategy/reaction/code/duplicate
POST /api/v2/strategy/reaction/code/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Reset code reaction triggers and/or storage

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
resetTriggersbooleanRequired

Set true to reset triggers

Example: true
resetStorebooleanRequired

Set true to reset store

Example: true
Responses
200

Triggers and/or storage reset successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/code/{id}/reset
PUT /api/v2/strategy/reaction/code/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "resetTriggers": true,
  "resetStore": true
}
{
  "message": "Success"
}

Update code reaction status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/code/{id}/status
PUT /api/v2/strategy/reaction/code/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Update code reaction public visibility

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
isPublicbooleanRequired

Set true to make the strategy public

Example: true
Responses
200

Public visibility updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/reaction/code/{id}/public
PUT /api/v2/strategy/reaction/code/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "isPublic": true
}
{
  "message": "Success"
}

Delete code reaction storage

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Storage deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/reaction/code/{id}/store
DELETE /api/v2/strategy/reaction/code/{id}/store HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Get all code reaction folders

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's code reaction folders

application/json
CodeReactionFolder[]Optional
get/api/v2/strategy/reaction/code/folder
GET /api/v2/strategy/reaction/code/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's code reaction folders

[]

Create a new code reaction folder

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

Folder name (optional, auto-generated if not provided)

Responses
201

Folder created successfully

application/json
anyOptional
post/api/v2/strategy/reaction/code/folder
POST /api/v2/strategy/reaction/code/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}

No content

Get code reactions from root folder

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of code reactions in root folder

application/json
CodeReaction[]Optional
get/api/v2/strategy/reaction/code/folder/root
GET /api/v2/strategy/reaction/code/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of code reactions in root folder

[]

Get code reaction folder by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder with its items

application/json
anyOptional
get/api/v2/strategy/reaction/code/folder/{id}
GET /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update code reaction folder

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Body
namestringOptional

New folder name (optional, auto-generated if not provided)

Responses
200

Folder updated successfully

application/json
messagestringOptional
put/api/v2/strategy/reaction/code/folder/{id}
PUT /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "message": "text"
}

Delete code reaction folder

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder deleted successfully

application/json
messagestringOptional
delete/api/v2/strategy/reaction/code/folder/{id}
DELETE /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "text"
}

Last updated